import os
import random
import string
import setuptools
import time

with open("README.md", "r") as fh:
    long_description = fh.read()


def random_str(string_length=5):
    letters = string.digits
    return "".join(random.choice(letters) for i in range(string_length))


if os.environ.get("CI_COMMIT_TAG"):
    version = os.environ["CI_COMMIT_TAG"]
elif os.environ.get("CI_JOB_ID"):
    version = os.environ.get("CI_JOB_ID")
else:
    version = int(time.time())

setuptools.setup(
    name="hts_heracles",
    version=version,
    packages=["hts_heracles"],
    url="https://gitlab.web-development.nl/atlas-group/atlas-microservices/atlas-global-services",
    license="",
    author="SemdenBroeder",
    author_email="sdenbroeder@happy-to-serve.com",
    description="Atlas Global Services",
    long_description=long_description,
    long_description_content_type="text/markdown",
    classifiers=[
        "Programming Language :: Python :: 3",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.6",
    keywords=["Atlas", "HTS", "Internal"],
    setup_requires=["wheel"],
    install_requires=["requests", "pika", "PyYAML"],
)
